## pioneerspacesim 20180203

=== debian/changelog ===
pioneerspacesim (20180203-1~mx17+1) mx; urgency=medium

  * New upstream version.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 16 Apr 2018 10:55:25 -0700

pioneerspacesim (20170827-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 15 Apr 2018 19:10:06 -0700

pioneerspacesim (20170827-1~getdeb2~zesty) zesty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 30 Aug 2017 17:57:21 +0200

pioneerspacesim (20170813-1~getdeb2~zesty) zesty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 15 Aug 2017 18:05:46 +0200

pioneerspacesim (20170415-1~getdeb2~zesty) zesty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 22 Apr 2017 15:40:00 +0200

pioneerspacesim (20170304-1~getdeb2~yakkety) yakkety; urgency=medium

  * Initial release (LP: #1669289)

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 03 Mar 2017 19:46:44 +0100
