=== debian/watch ===
version=3
https://github.com/pioneerspacesim/pioneer/releases \
    (?:.*/)?([\d]+)\.tar\.gz
